
$bar-width: 19px;
$bar-height: 3px;
$bar-spacing: 6px;
$bar-color: rgba(255, 255, 255, 1);

.hamburger-menu {
    position: absolute;
    top: 0;
    // left: 0;
    right: 1.5rem;
    bottom: 0;
    margin: auto;
    width: $bar-width;
    height: $bar-height + $bar-spacing*2;
    cursor: pointer;

    .bar,
    .bar:after,
    .bar:before {
        width: $bar-width;
        height: $bar-height;
    }

    .bar {
        position: relative;
        transform: translateY($bar-spacing);
        background: $bar-color;
        transition: all 0ms 300ms;

        &.animate {
            background: rgba(255, 255, 255, 0);
        }
    }

    .bar:before {
        content: "";
        position: absolute;
        left: 0;
        bottom: $bar-spacing;
        background: $bar-color;
        transition: bottom 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
    }

    .bar:after {
        content: "";
        position: absolute;
        left: 0;
        top: $bar-spacing;
        background: $bar-color;
        transition: top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
    }

    .bar.animate:after {
        top: 0;
        transform: rotate(45deg);
        transition: top 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);;
    }

    .bar.animate:before {
        bottom: 0;
        transform: rotate(-45deg);
        transition: bottom 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);;
    }
}
